View Issue Details

IDProjectCategoryLast Update
0021043AI War 2[All Projects] Bug - GameplayMay 23, 2019 8:47 am
Reporterx4000BughunterAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBETA 0.850 The Arrival of Fleets 
Fixed in Version 
Summary0021043: CHRIS TODO: drones have issues
DescriptionLooks like stuff related to mauraders or who knows what. I'll need savegames to see what the real issues might be.

CHRIS TODO: some drones seem to not have fleet centerpieces? I think the marauders use drones...
CHRIS TODO: drones have issues
CHRIS_TODO: make the drones code display nicely
CHRIS_TODO: Commented out more drone related code in .900
TagsNo tags attached.

Relationships

child of 0021022 resolvedx4000Bughunter Various fleet-related ideas (parent). 

Activities

RocketAssistedPuffin

Apr 18, 2019 7:53 pm

developer   ~0051171

Apparently Hive Golems don't have drones again.

Credit zeusalmighty.

x4000Bughunter

Apr 19, 2019 12:38 pm

administrator   ~0051181

Savegame?

RocketAssistedPuffin

Apr 19, 2019 1:44 pm

developer   ~0051201

Here. It's sitting by a Wormhole to an AI Planet. Send it through and there should be no Drones.

HiveGolemNoDrone.save (464,880 bytes)

x4000Bughunter

Apr 19, 2019 3:39 pm

administrator   ~0051209

Okay, most drones should now work but I have not tested the marauders or any drone-bearing guard posts, which still need to be looked at. But it definitely works for hive golems:

* Fixed a bug where drones were never being set up properly on drone controllers at all (hive golem, etc).

* Fixed a bug where factories would help with drone production.

* The tooltips now specify how many undeployed drones there are inside an entity.
** Additionally, you can see the construction percentage on each drone that is getting created inside.

* Fixed a bug that was preventing drones from ever being deployed even if they were internally created. Fun with boolean inversions!

* Fixed a whole nest of bugs where drones that were a part of non-drone-specific fleet types could never be spawned by their spawner.
** Aka this was breaking things like hive golems, but drone producer guard posts would have been fine (though that bit is untested).

x4000Bughunter

May 23, 2019 8:47 am

administrator   ~0051724

All fixed in recent builds.

Issue History

Date Modified Username Field Change
Apr 18, 2019 12:55 pm x4000Bughunter New Issue
Apr 18, 2019 12:55 pm x4000Bughunter Status new => assigned
Apr 18, 2019 12:55 pm x4000Bughunter Assigned To => x4000Bughunter
Apr 18, 2019 12:55 pm x4000Bughunter Relationship added child of 0021022
Apr 18, 2019 12:56 pm x4000Bughunter Description Updated View Revisions
Apr 18, 2019 7:53 pm RocketAssistedPuffin Note Added: 0051171
Apr 19, 2019 12:38 pm x4000Bughunter Note Added: 0051181
Apr 19, 2019 1:44 pm RocketAssistedPuffin File Added: HiveGolemNoDrone.save
Apr 19, 2019 1:44 pm RocketAssistedPuffin Note Added: 0051201
Apr 19, 2019 3:39 pm x4000Bughunter Note Added: 0051209
May 23, 2019 8:47 am x4000Bughunter Status assigned => resolved
May 23, 2019 8:47 am x4000Bughunter Resolution open => fixed
May 23, 2019 8:47 am x4000Bughunter Note Added: 0051724